Firmware for security cameras and encoders: July 2018

Users of our network cameras and encoders should update now to our latest firmware for improved network security and correction of displaying failure in ActiveX viewer.

Firmware update information

1. Network function security has now been enhanced:

  • Security vulnerability caused by command injection has been corrected (CVE-2018-3937)*
  • Security vulnerability caused by buffer overflow has been corrected (CVE-2018-3938)*

2. The display failure of video streams with the ActiveX viewer has been corrected.

 

Acknowledgement:
Cisco Talos kindly reported this security vulnerability. We would like to thank them for their support.

* Identification number of vulnerability information database

Affected network cameras, encoders and released firmware versions

Firmware updates for the following models can also be found under ‘Resources’ on the product pages.

Affected model namesReleased firmware version
SNC-RH124, SNC-RH164Ver 1.88.00
SNC-RS44N, SNC-RS44P, SNC-RS46N, SNC-RS46P, SNC-RS84N, SNC-RS84P, SNC-RS86N, SNC-RS86PVer 1.88.00
SNC-CH135, SNC-CH140, SNC-CH140C, SNC-CH180, SNC-CH240, SNC-CH280, SNC-DH140, SNC-DH140T, SNC-DH180, SNC-DH240, SNC-DH240T, SNC-DH280Ver 1.88.00
SNC-CH110, SNC-CH210, SNC-DH110, SNC-DH110T, SNC-DH210, SNC-DH210TVer 1.88.00
SNT-EP104, SNT-EP154, SNT-EX101, SNT-EX101E, SNT-EX104, SNT-EX154Ver 1.88.00
SNC-CH115, SNC-CH120, SNC-CH160, SNC-CH220, SNC-CH260, SNC-DH120, SNC-DH120T, SNC-DH160, SNC-DH220, SNC-DH220T, SNC-DH260, SNC-EB520, SNC-EM520, SNC-EM521, SNC-ZB550, SNC-ZM550, SNC-ZM551Ver 1.88.00
SNC-EP550, SNC-EP580, SNC-ER550, SNC-ER550C, SNC-ER580, SNC-ER585, SNC-ER585H, SNC-ZP550, SNC-ZR550Ver 1.88.00
SNC-EP520, SNC-EP521, SNC-ER520, SNC-ER521, SNC-ER521CVer 1.88.00

Contact us for further information